Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request PUT \
--url https://{cluster}.voucherify.io/v1/templates/campaigns/{campaignTemplateId} \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'{
"id": "camp_tpl_zLtn2H9fgcG3NwO7t4PAfHcq",
"name": "Happy Hours Winter Template",
"description": "Template for a Happy Hours campaign with discount coupons for the winter season.",
"campaign_type": "DISCOUNT_COUPONS",
"created_at": "2019-09-09T09:09:09.009Z",
"updated_at": "2019-09-09T19:09:09.009Z",
"object": "campaign_template"
}Updates the name or description of the campaign template.
๐ Campaign Templates โ Documentation
Read the Campaign Templates documentation to learn more about this feature.
curl --request PUT \
--url https://{cluster}.voucherify.io/v1/templates/campaigns/{campaignTemplateId} \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'{
"id": "camp_tpl_zLtn2H9fgcG3NwO7t4PAfHcq",
"name": "Happy Hours Winter Template",
"description": "Template for a Happy Hours campaign with discount coupons for the winter season.",
"campaign_type": "DISCOUNT_COUPONS",
"created_at": "2019-09-09T09:09:09.009Z",
"updated_at": "2019-09-09T19:09:09.009Z",
"object": "campaign_template"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Pass the campaign template ID that was assigned by Voucherify.
"camp_tpl_zLtn2H9fgcG3NwO7t4PAfHcq"
Provide the new name or description for the campaign template
Returns the details of an updated campaign template.
Request body schema for PUT /templates/campaign/{campaignTemplateId}.
Unique identifier of the campaign template. It is assigned by Voucherify.
"camp_tpl_eR9NsNJ5gqJRN2TG3fqCvbVl"
User-defined name of the campaign template.
Type of the campaign used to create the campaign template. Templates created from a promotion tier are converted to DISCOUNT_COUPONS.
DISCOUNT_COUPONS, GIFT_VOUCHERS Timestamp representing the date and time when the campaign template was created. The value is shown in the ISO 8601 format.
"2024-07-16T09:05:53.175Z"
The type of the object represented by JSON.
campaign_template User-defined description of the campaign template.
Timestamp representing the date and time when the campaign template was last updated. The value is shown in the ISO 8601 format.
"2024-07-17T06:25:21.500Z"
Was this page helpful?